loci.formats

## Interface ICompressedTileReader

- All Known Subinterfaces:
    IFormatReader
  All Known Implementing Classes:
    AFIReader, AIMReader, AliconaReader, AmiraReader, AnalyzeReader, APLReader, APNGReader, ARFReader, AVIReader, BaseTiffReader, BaseZeissReader, BDReader, BDVReader, BIFormatReader, BioRadGelReader, BioRadReader, BioRadSCNReader, BMPReader, BrukerReader, BufferedImageReader, BurleighReader, CanonRawReader, CellH5Reader, CellomicsReader, CellSensReader, CellVoyagerReader, CellWorxReader, ChannelFiller, ChannelMerger, ChannelSeparator, ColumbusReader, CV7000Reader, DCIMGReader, DelegateReader, DeltavisionReader, DicomReader, DimensionSwapper, DNGReader, Ecat7Reader, EPSReader, FakeReader, FEIReader, FEITiffReader, FilePatternReader, FileStitcher, FitsReader, FlexReader, FlowSightReader, FluoviewReader, FormatReader, FujiReader, FV1000Reader, GatanDM2Reader, GatanReader, GelReader, GIFReader, HamamatsuVMSReader, HISReader, HitachiReader, HRDGDFReader, I2IReader, ICSReader, IM3Reader, ImaconReader, ImageIOReader, ImageProcessorReader, ImageReader, ImagicReader, ImarisHDFReader, ImarisReader, ImarisTiffReader, IMODReader, ImprovisionTiffReader, ImspectorReader, InCell3000Reader, InCellReader, INRReader, InveonReader, IonpathMIBITiffReader, IPLabReader, IPWReader, IvisionReader, JDCEReader, JEOLReader, JPEG2000Reader, JPEGReader, JPEGReader.DefaultJPEGReader, JPKReader, JPXReader, KhorosReader, KLBReader, KodakReader, L2DReader, LeicaReader, LeicaSCNReader, LEOReader, LiFlimReader, LIFReader, LIMReader, LMSFileReader, LOFReader, Memoizer, MetamorphReader, MetamorphTiffReader, MetaxpressTiffReader, MIASReader, MicroCTReader, MicromanagerReader, MikroscanTiffReader, MINCReader, MinimalTiffReader, MinMaxCalculator, MNGReader, MolecularImagingReader, MRCReader, MRWReader, MultipleImagesReader, NAFReader, ND2Reader, NDPIReader, NDPISReader, NiftiReader, NikonElementsTiffReader, NikonReader, NikonTiffReader, NRRDReader, OBFReader, OIRReader, OlympusTileReader, OMETiffReader, OMEXMLReader, OpenlabRawReader, OpenlabReader, OperettaReader, OxfordInstrumentsReader, PCIReader, PCORAWReader, PCXReader, PDSReader, PerkinElmerReader, PGMReader, PhotoshopTiffReader, PictReader, PovrayReader, PQBinReader, PrairieReader, PSDReader, PyramidTiffReader, QTReader, QuesantReader, RCPNLReader, ReaderWrapper, RHKReader, SBIGReader, ScanrReader, SDTReader, SeikoReader, SEQReader, SIFReader, SimplePCITiffReader, SISReader, SlideBook7Reader, SlidebookReader, SlidebookTiffReader, SMCameraReader, SPCReader, SPEReader, SpiderReader, SubResolutionFormatReader, SVSReader, TargaReader, TCSReader, TecanReader, TextReader, TiffDelegateReader, TiffJAIReader, TiffReader, TileJPEGReader, TileStitcher, TillVisionReader, TissueFAXSReader, TopometrixReader, TrestleReader, UBMReader, UnisokuReader, VarianFDFReader, VectraReader, VeecoReader, VentanaReader, VGSAMReader, VirtualReader, VisitechReader, VolocityClippingReader, VolocityReader, WATOPReader, WrappedReader, XLEFReader, ZeissCZIReader, ZeissLMSReader, ZeissLSMReader, ZeissTIFFReader, ZeissXRMReader, ZeissZVIReader, ZipReader

      public interface ICompressedTileReader

  Interface for reading pre-compressed image tiles.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Codec` | `getTileCodec(int no)` Retrieve a codec that can be used to decompress compressed tiles.
    `default CodecOptions` | `getTileCodecOptions(int no, int x, int y)` Retrieve codec options that can be used to decompressed the specified tile.
    `default int` | `getTileColumns(int no)` Get the number of columns of tiles in the specified plane in the current series.
    `default int` | `getTileRows(int no)` Get the number of rows of tiles in the specified plane in the current series.
    `default byte[]` | `openCompressedBytes(int no, byte[] buf, int x, int y)` Retrieve the specified tile without performing any decompression.
    `default byte[]` | `openCompressedBytes(int no, int x, int y)` Retrieve the specified tile without performing any decompression.

- - ### Method Detail

    - #### getTileRows

          default int getTileRows(int no)

      Get the number of rows of tiles in the specified plane in the current series.
      Parameters:
        `no` - plane index
      Returns:
        tile row count

    - #### getTileColumns

          default int getTileColumns(int no)

      Get the number of columns of tiles in the specified plane in the current series.
      Parameters:
        `no` - plane index
      Returns:
        tile column count

    - #### openCompressedBytes

          default byte[] openCompressedBytes(int no,
                                             int x,
                                             int y)
                                      throws FormatException,
                                             java.io.IOException

      Retrieve the specified tile without performing any decompression.
      Parameters:
        `no` - plane index
        `x` - tile X index (indexed from 0, @see getTileColumns(int))
        `y` - tile Y index (indexed from 0, @see getTileRows(int))
      Returns:
        compressed tile bytes
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### openCompressedBytes

          default byte[] openCompressedBytes(int no,
                                             byte[] buf,
                                             int x,
                                             int y)
                                      throws FormatException,
                                             java.io.IOException

      Retrieve the specified tile without performing any decompression.
      Parameters:
        `no` - plane index
        `buf` - pre-allocated buffer in which to store compressed bytes
        `x` - tile X index (indexed from 0, @see getTileColumns(int))
        `y` - tile Y index (indexed from 0, @see getTileRows(int))
      Returns:
        compressed tile bytes
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### getTileCodec

          default Codec getTileCodec(int no)
                              throws FormatException,
                                     java.io.IOException

      Retrieve a codec that can be used to decompress compressed tiles.
      Parameters:
        `no` - plane index
      Returns:
        codec that can be used for compressed tiles in the specified plane
      Throws:
        `FormatException`
        `java.io.IOException`
      See Also:
        `openCompressedBytes(int, int, int)`

    - #### getTileCodecOptions

          default CodecOptions getTileCodecOptions(int no,
                                                   int x,
                                                   int y)
                                            throws FormatException,
                                                   java.io.IOException

      Retrieve codec options that can be used to decompressed the specified tile.
      Parameters:
        `no` - plane index
        `x` - tile X index (indexed from 0, @see getTileColumns(int))
        `y` - tile Y index (indexed from 0, @see getTileRows(int))
      Returns:
        codec options
      Throws:
        `FormatException`
        `java.io.IOException`
      See Also:
        `getTileCodec(int)`

Copyright © 2026 Open Microscopy Environment